Subject: Re: [PATCH net-next 2/3] net: dsa: mv88e6xxx: fix duplicate vlan warning

From: Russell King - ARM Linux admin <[email-masked]>
Date: Tue, 18 Feb 2020 16:31:14 +0000

On Tue, Feb 18, 2020 at 05:27:50PM +0100, Andrew Lunn wrote:
> On Tue, Feb 18, 2020 at 11:51:57AM +0000, Russell King - ARM Linux admin wrote:
> > On Tue, Feb 18, 2020 at 11:46:14AM +0000, Russell King wrote:
> > > When setting VLANs on DSA switches, the VLAN is added to both the port
> > > concerned as well as the CPU port by dsa_slave_vlan_add().  If multiple
> > > ports are configured with the same VLAN ID, this triggers a warning on
> > > the CPU port.
> > > 
> > > Avoid this warning for CPU ports.
> > > 
> > > Reviewed-by: Florian Fainelli <[email-masked]>
> > > Signed-off-by: Russell King <[email-masked]>
> > 
> > Note that there is still something not right.  On the ZII dev rev B,
> > setting up a bridge across all the switch ports, I get:
> 
> Hi Russell
> 
> FYI: You need to be a little careful with VLANs on rev B. The third
> switch does not have the PVT hardware. So VLANs are going to 'leak'
> when they cross the DSA link to that switch.

However, I'm not using VLAN configuration on any of the ZII boards.
As I stated, I'm just setting up a bridge.  It isn't even vlan
aware:

iface br0 inet manual
	bridge-ports lan0 lan1 lan2 lan3 lan4 lan5 lan6 lan7 lan8
	bridge-maxwait 0

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up